backend_defines = @TIC_MACHINE_DEFINES@ @TIC_THREAD_DEFINES@ \
		  @TIC_REXEC_DEFINES@ @TIC_GLUNIX_DEFINES@ @TIC_AMX_DEFINES@
backend_includes = @TIC_ENS_INCLUDES@ @TIC_GLUNIX_INCLUDES@ @PAPI_INCLUDES@
backend_includes_buildtree = -I$(top_srcdir)/runtime/amudp @GASNET_TOOLS_INCLUDES@
backend_ld_flags_buildtree = -L$(top_builddir)/runtime/amudp
backend_ld_flags = @TIC_ENS_LD_FLAGS@               

@USE_GC_PTHREADS_TRUE@  backend_gc_ld_libs = -lgc-pthread @TIC_DL_LIBS@
@USE_GC_PTHREADS_FALSE@ backend_gc_ld_libs =

backend_ld_libs = -ltitanium-$(backend) \
		@LIBPAPI@ \
                $(backend_gc_ld_libs) \
                -lamudp \
                @TIC_ENS_LIBS@ @TIC_GLUNIX_LIBS@ \
                @TIC_UDP_LIBS@ \
		@TIC_THREAD_LIBS@
